/* ==UserStyle==
@name           Jira Cleanup
@namespace      github.com/openstyles/stylus
@version        1.0.0
@description    A new userstyle
@author         Me
==/UserStyle== */

@-moz-document regexp(".*\\bjira\\..*") {
  .ghx-move-count,
  .ghx-days,
  .ghx-column:last-child .ghx-summary,
  .ghx-column:last-child .ghx-highlighted-fields,
  .ghx-column:last-child .ghx-card-footer > .ghx-avatar,
  .ghx-column:last-child .ghx-card-footer > .ghx-type,
  .ghx-column:last-child .ghx-card-footer > .ghx-flags,
  .ghx-column:last-child .ghx-card-footer > .ghx-end,
  .ghx-column:last-child .ghx-card-footer > .ghx-days,
  #announcement-banner {
    display: none !important;
  }

  .ghx-column:last-child .ghx-issue {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }
  .ghx-column:last-child .ghx-issue > * {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
  }
  .ghx-column:last-child .ghx-issue .ghx-issue-fields {
    padding-right: 0;
    display: contents;
  }
  .ghx-column:last-child .ghx-issue .ghx-card-footer > .ghx-end {
    display: block !important;
    margin: 0;
    position: static;
  }

  .ghx-swimlane-header {
    padding: 0 !important;
  }
  .ghx-swimlane-header .ghx-heading {
    margin: 5px 0;
  }
  .ghx-swimlane-header .ghx-heading .ghx-heading-expander {
    left: 0;
    margin-right: 5px;
  }

  .ghx-issue {
    line-height: 1 !important;
  }

  .ghx-card-footer .ghx-avatar {
    margin: 0 !important;
  }

  .ghx-column:not(:last-child) .ghx-key {
    margin-left: 20px;
  }

  .ghx-column:not(:last-child) .ghx-summary {
    margin-left: 20px;
  }

  .ghx-card-footer {
    margin: 0 !important;
  }

  .ghx-card-footer .ghx-type {
    position: absolute;
    top: 12px;
  }

  .ghx-card-footer .ghx-flags {
    position: absolute;
    top: 33px;
  }

  .ghx-card-footer .ghx-end {
    position: absolute;
    bottom: 5px;
    right: 5px;
  }

  #ghx-pool-column {
    overflow-y: hidden !important;
  }

  #ghx-pool-wrapper {
    height: 100% !important;
  }

  #ghx-pool {
    padding-bottom: 10px !important;
  }
  #ghx-pool:not(.ghx-has-swimlanes) {
    height: calc(100% - 31px) !important;
  }
  #ghx-pool.ghx-has-swimlanes {
    overflow-y: auto !important;
  }

  .ghx-swimlane {
    position: relative;
  }
  #ghx-pool:not(.ghx-has-swimlanes) .ghx-swimlane {
    height: 100% !important;
  }
  .ghx-swimlane.ghx-first:last-of-type {
    margin-bottom: 0 !important;
  }

  #ghx-pool:not(.ghx-has-swimlanes) .ghx-columns {
    height: 100% !important;
    overflow-y: hidden !important;
  }
  #ghx-pool:not(.ghx-has-swimlanes) .ghx-column {
    overflow-y: auto !important;
  }

  #ghx-pool.ghx-has-swimlanes .ghx-swimlane-header {
    top: 0 !important;
  }
  #ghx-pool:not(.ghx-has-swimlanes) .ghx-swimlane-header {
    top: 31px !important;
  }

  .ghx-column-headers .ghx-column {
    padding: 5px !important;
    border-bottom-color: #ccc;
    border-bottom-width: 1px;
  }
}
